<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.svn.svn_monitoring" scope="application"/>

<table>
  <tr class="portlet-section-body">
    <td><fmt:message key="svnrepository.commitsToday"/>:</td>
    <td><fmt:formatNumber value="${repository.commitsToday}"/></td>
    <td><fmt:message key="svnrepository.committersToday"/>:</td>
    <td><fmt:formatNumber value="${repository.committersToday}"/></td>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="svnrepository.commitsLast7Days"/>:</td>
    <td><fmt:formatNumber value="${repository.commitsLast7Days}"/></td>
    <td><fmt:message key="svnrepository.committersLast7Days"/>:</td>
    <td><fmt:formatNumber value="${repository.committersLast7Days}"/></td>
  </tr>
  <tr class="portlet-section-body">
    <td><fmt:message key="svnrepository.commitsLast31Days"/>:</td>
    <td><fmt:formatNumber value="${repository.commitsLast31Days}"/></td>
    <td><fmt:message key="svnrepository.committersLast31Days"/>:</td>
    <td><fmt:formatNumber value="${repository.committersLast31Days}"/></td>
  </tr>
  <tr class="portlet-section-alternate">
    <td><fmt:message key="svnrepository.commitsTotal"/>:</td>
    <td><fmt:formatNumber value="${repository.commitsTotal}"/></td>
    <td><fmt:message key="svnrepository.committersTotal"/>:</td>
    <td><fmt:formatNumber value="${repository.committersTotal}"/></td>
  </tr>
  <tr class="portlet-section-body">
    <td valign="top"><fmt:message key="svnrepository.commitHistory"/>:</td>
    <td valign="top"><ui:zoomableImage id="0" locator="${repository.commitsPerWeekChartLocator}" titleKey="svnrepository.commitHistory"/></td>
    <td valign="top" colspan="2">
      <ui:listExpander id="0" size="${fn:length(repository.commits)}"/>
      <table>
        <c:forEach var="commit" items="${repository.commits}" varStatus="status">
          <c:choose>
            <c:when test="${status.index < 10}">
              <tr id="row-<portlet:namespace/>-0-${status.index}" class="portlet-section-alternate">
            </c:when>
            <c:otherwise>
              <tr id="row-<portlet:namespace/>-0-${status.index}" style="display: none;" class="portlet-section-alternate">
            </c:otherwise>
          </c:choose>
            <td>${commit.revision}</td>
            <td>${commit.message}<br/>(A${commit.addedFiles} D${commit.deletedFiles} U${commit.modifiedFiles} R${commit.replacedFiles})</td>
            <td>${commit.author}</td>
            <td>
              <c:if test="${commit.ageInDays == 0}"><span class="portlet-msg-alert"></c:if>
                <kosmos:age time="${commit.age}"/>
              <c:if test="${commit.ageInDays == 0}"></span></c:if>
            </td>
          </tr>
        </c:forEach>
      </table>
    </td>
  </tr>
  <%@include file="includes/table_footer.jsp"%>
</table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.back"/>"/>
</form>
